<div class="row text-center" *ngIf="load">
  <div class="col-12">
    <div class="row">
      <div class="col-12 bg-white rounded mt-4 p-4">
        <google-map 
        width="100%"
        height="450px"
        [zoom]="zoom">
        <map-marker *ngFor="let marker of markers"
        [position]="marker.position"
        [label]="marker.label">

        </map-marker>
        </google-map>
      </div>
    </div>

    <div class="row">
      <div class="block-countries mt-4 mb-4 col-md-5 col-12">
        <div class="row">
          <div class="col-12">
            <h1>Lista de los países</h1>
          </div>
        </div>
    
        <div class="row">
          <div class="col-12">
            <mat-form-field class="w-100" appearance="fill">
              <mat-select [(ngModel)]="regionSelected" (selectionChange)="filterCountries($event)">
                <mat-option *ngFor="let region of listRegions" [value]="region.code">
                  {{region.name}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>
    
    
        <div class="row">
          <div cdkDropList class="col-12 drop-list" 
          id="origin"
          #lCountries="cdkDropList" (cdkDropListDropped)="drop($event)"
            [cdkDropListData]="listCountries" [cdkDropListConnectedTo]="[lCountriesVisit]">
            <div cdkDrag class="row m-0 mt-2 mb-2 country" *ngFor="let country of listCountries">
              <div class="col-3 p-0">
                <img class="img-fluid" [src]="country.flag" alt="">
              </div>
              <div class="col-9">
                <span>{{country.name}}</span>
              </div>
            </div>
          </div>
        </div>
      </div>
    
      <div class="block-countries mt-4 mb-4 offset-md-2 col-md-5 col-12">
        <div class="row">
          <div class="col-12">
            <h1>Lista de países a visitar</h1>
          </div>
        </div>
    
        <div class="row">
          <div cdkDropList class="col-12 drop-list"
          id="visit"
          #lCountriesVisit="cdkDropList" (cdkDropListDropped)="drop($event)"
            [cdkDropListData]="listCountriesToVisit" [cdkDropListConnectedTo]="[lCountries]">
            <div cdkDrag class="row m-0 mt-2 mb-2 country" *ngFor="let country of listCountriesToVisit">
              <div class="col-3 p-0">
                <img class="img-fluid" [src]="country.flag" alt="">
              </div>
              <div class="col-9">
                <span>{{country.name}}</span>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>



</div>

<div class="h-100" *ngIf="!load">
  <div class="spinner">
    <img src="../../../assets/img/spinner.gif" alt="">
  </div>
</div>